aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/Makefile
diff options
context:
space:
mode:
authorChristophe Fergeau <cfergeau@mandriva.com>2009-10-07 12:11:30 +0000
committerChristophe Fergeau <cfergeau@mandriva.com>2009-10-07 12:11:30 +0000
commit7bb898ed0ebbabd52461449088033994ec2579ee (patch)
tree5530959162662106bcc1e11e277caf0f8434d735 /scripts/Makefile
parent516cfbeee4cd353abc3e9237261e14b11b84771c (diff)
downloadbootsplash-7bb898ed0ebbabd52461449088033994ec2579ee.tar
bootsplash-7bb898ed0ebbabd52461449088033994ec2579ee.tar.gz
bootsplash-7bb898ed0ebbabd52461449088033994ec2579ee.tar.bz2
bootsplash-7bb898ed0ebbabd52461449088033994ec2579ee.tar.xz
bootsplash-7bb898ed0ebbabd52461449088033994ec2579ee.zip
remove obsolete scripts
Diffstat (limited to 'scripts/Makefile')
-rw-r--r--scripts/Makefile10
1 files changed, 4 insertions, 6 deletions
diff --git a/scripts/Makefile b/scripts/Makefile
index 44686b0..aa0189e 100644
--- a/scripts/Makefile
+++ b/scripts/Makefile
@@ -1,6 +1,5 @@
PL=remove-boot-splash
SH=make-boot-splash make-boot-splash-raw rewritejpeg switch-themes remove-theme
-SBIN=splash.sh bootanim
SYS=bootsplash.sysconfig
sharedir=/usr/share
@@ -9,14 +8,13 @@ etcsysdir=/etc/sysconfig
all: check
check:
- @for i in $(SH) $(SBIN);do /bin/bash -n $$i || exit 1;echo $$i syntax OK;done
+ @for i in $(SH);do /bin/bash -n $$i || exit 1;echo $$i syntax OK;done
@for i in $(PL);do perl -c $$i ||exit 1;done
install:
- @mkdir -p $(prefix)$(sharedir)/bootsplash/scripts/ $(prefix)$(etcsysdir) $(prefix)/sbin/
- @for i in $(SH) $(PL);do install -m755 $$i $(prefix)$(sharedir)/bootsplash/scripts/;done
- @for i in $(SBIN);do install -m755 $$i $(prefix)/sbin/;done
- install -m644 bootsplash.sysconfig $(prefix)$(etcsysdir)/bootsplash
+ @mkdir -p $(prefix)$(sharedir)/mandriva-theme-utils/scripts/ $(prefix)$(etcsysdir)
+ @for i in $(SH) $(PL);do install -m755 $$i $(prefix)$(sharedir)/mandriva-theme-utils/scripts/;done
+ install -m644 $(SYS) $(prefix)$(etcsysdir)/theme
clean:
rm -f *~ \#*\#